# Class CIM_ProtocolControllerForDevice
extends CIM_Dependency

This association indicates a subclass of LogicalDevice (for example a Storage Volume) is connected through a specific ProtocolController. In many situations (for example storage LUN masking), there may be many of these associations used to relate to different objects. Therefore subclasses have been defined to optimize enumeration of the associations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProtocolControllerForDevice

## Direct Known Subclasses

CIM_AssociatedProtocolController
CIM_ProtocolControllerAccessesUnit
CIM_ProtocolControllerForPort
CIM_ProtocolControllerForUnit

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Association | boolean | true
Description | string | This association indicates a subclass of LogicalDevice (for example a Storage Volume) is connected through a specific ProtocolController. In many situations (for example storage LUN masking), there may be many of these associations used to relate to different objects. Therefore subclasses have been defined to optimize enumeration of the associations.
UMLPackagePath | string | CIM::Device::ProtocolController
Version | string | 2.8.1000

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AccessPriority | uint16 |
Description | string | This property describes the priority given to accesses of the device through this Controller. The highest priority path will have the lowest value for this parameter.
AccessState | uint16 |

Description

string

The AccessState property describes the accessibility of the LogicalDevice through the ProtocolController. Unknown (0) indicates the instrumentation does not know whether access is or is not functioning. Active (2) indicates normal access. Inactive (3) indicates the instrumentation knows this path is not active, and one of the other values (below) does not apply. Replication in Progress (4) indicates that the path is temporarily inactive due to a replication activity. Mapping Inconsistency (5) indicates the instrumentation has detected that this path is inactive due to an inconsistency in the DeviceNumber/DeviceAccess configuration.

ValueMap | string | 0, 2, 3, 4, 5
Values | string | Unknown, Active, Inactive, Replication In Progress, Mapping Inconsistency
DeviceNumber | string |
Description | string | Address of the associated Device in the context of the Antecedent Controller.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProtocolControllerForDevice | CIM_ProtocolController
Dependent | CIM_ProtocolControllerForDevice | CIM_LogicalDevice

## Class Methods